org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom

## Interface ETypedElementSwitchQuery

All Superinterfaces:
  Query

    public interface ETypedElementSwitchQuery
    extends Query

A representation of the model object 'ETyped Element Switch Query'. This query can return a value depending of an instance of ETypedElement. This query is dedicated to the definition of customizations.

The following features are supported:

- `Cases`

See Also:
  `CustomPackage.getETypedElementSwitchQuery()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`<any>` `getCases()` Returns the value of the 'Cases' containment reference list.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.Query

`isCanBeCached, isCanHaveSideEffects, setCanBeCached, setCanHaveSideEffects`

### Method Detail

#### getCases

    <any> getCases()

Returns the value of the 'Cases' containment reference list. The list contents are of type `ETypedElementCase`.

If the meaning of the 'Cases' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Cases' containment reference list.
See Also:
  `CustomPackage.getETypedElementSwitchQuery_Cases()`
Generated:
Model:
  containment="true"